<?php
#    IRM - The Information Resource Manager
#    Copyright (C) 1999 Yann Ramin
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License (in file COPYING) for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
################################################################################

include("../include/irm.inc");
require_once 'lib/Config.php';
require_once 'include/i18n.php';

AuthCheck("normal");
commonHeader(_("Networking") . " - " . _("Search Results"));

if (!preg_match('/^[0-9A-Za-z_]+$/', $field))
{
	trigger_error(sprintf(_("Invalid field name: %s"), $field), E_USER_ERROR);
	die(__FILE__.":".__LINE__.": dying with fatal error\n");
	exit;
}

if (!preg_match('/^[0-9A-Za-z_]+$/', $sort))
{
	trigger_error(sprintf(_("Invalid field name: %s"), $sort), E_USER_ERROR);
	die(__FILE__.":".__LINE__.": dying with fatal error\n");
	exit;
}

$DB = Config::Database();

# If phrase is only a contains search, add the % characters for the mysql query.
if ($phrasetype == "contains")
{
	$newcontains = $DB->getTextValue("%$contains%");
}
else
{
	$newcontains = $DB->getTextValue($contains);
}

$query = "SELECT * FROM networking WHERE ($field LIKE $newcontains) ORDER BY $sort";

PRINT "Showing results where $field contains $contains in $style view 
		sorted by $sort.<br><br>";
PRINT "<hr noshade>";

if ($style == "full")
{
	$data = $DB->getAll($query);
	$data = array_slice($data, $goto, 5);
	foreach ($data as $result)
  	{
    		$ID = $result["ID"];
    		showNetworking($ID, 0);
  	}

	$backgoto = $goto - 5;
	$forgoto = $goto + 5;
	PRINT "<table border=0><tr><td>";
	if ($backgoto > -1)
	{
		PRINT "<form><input type=hidden name=sort value=\"sort\">
			<input type=hidden name=field value=\"$field\">
			<input type=hidden name=phrasetype value=\"$phrasetype\">
			<input type=hidden name=contains value=\"$contains\">
			<input type=hidden name=style value=\"$style\">
			<input type=hidden name=goto value=$backgoto>
			<input type=submit value=\""._("Previous 5")."\"></form>";
	}
	PRINT "</td><td>";
	PRINT "<form><input type=hidden name=sort value=\"$sort\">
		<input type=hidden name=field value=\"$field\">
		<input type=hidden name=phrasetype value=\"$phrasetype\">
		<input type=hidden name=contains value=\"$contains\">
		<input type=hidden name=style value=\"$style\">
		<input type=hidden name=goto value=$forgoto>
		<input type=submit value=\""._("Next 5")."\"></form>";
	PRINT "</td></tr></table>";
} elseif ($style == "list")
{
	$DB = Config::Database();
	$data = $DB->getAll($query);
	PRINT "<table border=1 width=100%><tr bgcolor=#CCCCCC><th>".

	_("Name")."</th><th>"._("Location")."</th><th>"._("Type")."</th></tr>";
	foreach ($data as $result)
	{
		$ID = $result["ID"];
		$name = $result["name"];
		$location = $result["location"];
		$type = $result["type"];
		PRINT "<tr bgcolor=#DDDDDD><td>";
		PRINT '<a href="'.Config::AbsLoc("users/networking-info.php?ID=$ID").'">';
		PRINT "$name ($ID)</a></td><td>$location</td><td>";

		PRINT "$type</td>";
		PRINT "</tr>";
	}
	PRINT "</table>";
}
commonFooter();
